Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.util
Class ClassUtils

    java.lang.Object
      org.springframework.data.repository.util.ClassUtils

    public abstract class ClassUtils

extends Object

Utility class to work with classes.

Author:
  Oliver Gierke

Method Summary
`static void` | `assertReturnType(Method method, Class<?>... types)` Asserts the given `Method`'s return type to be one of the given types.
`static int` | `getNumberOfOccurences(Method method, Class<?> type)` Returns the number of occurences of the given type in the given `Method`s parameters.
`static Class<?>` | `getReturnedDomainClass(Method method)` Returns the domain class returned by the given `Method`.
`static boolean` | `hasParameterOfType(Method method, Class<?> type)` Returns whether the given `Method` has a parameter of the given type.
`static boolean` | `hasProperty(Class<?> type, String property)` Returns whether the given class contains a property with the given name.
`static boolean` | `isGenericRepositoryInterface(Class<?> interfaze)` Returns wthere the given type is the `Repository` interface.
`static boolean` | `isGenericRepositoryInterface(String interfaceName)` Returns whether the given type name is a repository interface name.
`static boolean` | `isOfType(Object object, Collection<Class<?>> types)` Returns whether the given object is of one of the given types.
`static void` | `unwrapReflectionException(Exception ex)` Helper method to extract the original exception that can possibly occur during a reflection call.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getReturnedDomainClass

    public static Class<?> getReturnedDomainClass(Method method)

  Returns the domain class returned by the given `Method`. Will extract the type from `Collection`s and `Page` as well.

  Parameters:
    `method` -
  Returns:

### hasProperty

    public static boolean hasProperty(Class<?> type,
                                      String property)

  Returns whether the given class contains a property with the given name.

  Parameters:
    `fieldName` -
  Returns:

### isGenericRepositoryInterface

    public static boolean isGenericRepositoryInterface(Class<?> interfaze)

  Returns wthere the given type is the `Repository` interface.

  Parameters:
    `interfaze` -
  Returns:

### isGenericRepositoryInterface

    public static boolean isGenericRepositoryInterface(String interfaceName)

  Returns whether the given type name is a repository interface name.

  Parameters:
    `interfaceName` -
  Returns:

### getNumberOfOccurences

    public static int getNumberOfOccurences(Method method,
                                            Class<?> type)

  Returns the number of occurences of the given type in the given `Method`s parameters.

  Parameters:
    `method` -
    `type` -
  Returns:

### assertReturnType

    public static void assertReturnType(Method method,
                                        Class<?>... types)

  Asserts the given `Method`'s return type to be one of the given types.

  Parameters:
    `method` -
    `types` -

### isOfType

    public static boolean isOfType(Object object,
                                   Collection<Class<?>> types)

  Returns whether the given object is of one of the given types. Will return false for null.

  Parameters:
    `object` -
    `types` -
  Returns:

### hasParameterOfType

    public static boolean hasParameterOfType(Method method,
                                             Class<?> type)

  Returns whether the given `Method` has a parameter of the given type.

  Parameters:
    `method` -
    `type` -
  Returns:

### unwrapReflectionException

    public static void unwrapReflectionException(Exception ex)
                                          throws Throwable

  Helper method to extract the original exception that can possibly occur during a reflection call.

  Parameters:
    `ex` -
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.